extern HINSTANCE hInst; /* instance of main program */
extern HWND hMain;      /* handle of main program */
extern HWND hPlot;      /* handle of rendering window */
extern HWND hLogo;      /* handle of logo window */
extern HDC pDC;         /* plot window device context */

extern BOOL animate;
extern BOOL back;
extern BOOL fill;

#define StockBrush(stock_color) ((HBRUSH)(stock_color+1))

#define BLACK 0x000000
#define WHITE 0xFFFFFF

extern BITMAPINFOHEADER*bLogo;

void Abort(int code,char*format,...);
void CaptureScreen(BOOL window,char*fname);
void CenterWindowOnScreen(HWND hWnd);
void glRepaint();
void PaintBitmap(HDC hDC,RECT*rc,BITMAPINFOHEADER*bHead,int stretch);
void Register(char*cName,void*wProc,HBRUSH hBrush,char*dCursor,int iExtra,DWORD style);
void WindowText(HWND hWnd,char*format,...);
void*GetResource(char*rName,char*type);

BITMAPINFOHEADER*GetBitmap(char*name);

HWND CreatePushButton(DWORD ID,char*text);
HWND CreateRadioButton(DWORD ID,char*text,BOOL check);

LRESULT WINAPI AboutProc(HWND hWnd,DWORD wMsg,WPARAM wParam,LPARAM lParam);
LRESULT WINAPI LogoProc(HWND hWnd,DWORD wMsg,WPARAM wParam,LPARAM lParam);
LRESULT WINAPI PlotProc(HWND hWnd,DWORD wMsg,WPARAM wParam,LPARAM lParam);
