#define _CRT_SECURE_NO_DEPRECATE
#include <stdio.h>
#include <string.h>
#include <float.h>
#define _USE_MATH_DEFINES
#include <math.h>
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "..\\..\\utilities\\colors.h"

struct{char*name;DWORD color;}parts[]={
  {"skull"   ,red},
  {"mandible",green},
  {"cervneck",red},
  {"thorax"  ,cyan},
  {"lclavicl",green},
  {"lscapula",yellow},
  {"lhumerus",magenta},
  {"llarm"   ,green},
  {"lhand"   ,cyan},
  {"rclavicl",green},
  {"rscapula",yellow},
  {"rhumerus",magenta},
  {"rlarm"   ,green},
  {"rhand"   ,cyan},
  {"pelvis"  ,red},
  {"saclumbr",magenta},
  {"lfemur"  ,blue},
  {"lknee"   ,red},
  {"llleg"   ,green},
  {"lfoot"   ,yellow},
  {"ltoes"   ,cyan},
  {"rfemur"  ,blue},
  {"rknee"   ,red},
  {"rlleg"   ,green},
  {"rfoot"   ,yellow},
  {"rtoes"   ,cyan},
  {NULL      ,black}};

int main(int argc,char**argv,char**envp)
  {
  char bufr[256];
  int i;
  double X[3],Y[3],Z[3];
  FILE*fi,*fo;
  fo=fopen("skeleton.tri","wt");
  for(i=0;parts[i].name;i++)
    {
    strcpy(bufr,parts[i].name);
    strcat(bufr,".tri");
    printf("%s\n",bufr);
    fi=fopen(bufr,"rt");
    fprintf(fo,"*%s\n",parts[i]);
    while(fgets(bufr,sizeof(bufr),fi))
      if(sscanf(bufr,"%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf%*[ ,\t]%lf",X,Y,Z,X+1,Y+1,Z+1,X+2,Y+2,Z+2)==9)
        fprintf(fo,"%6.2lf %6.2lf %6.2lf %6.2lf %6.2lf %6.2lf %6.2lf %6.2lf %6.2lf rgb=0x%06lX\n",X[2],Y[2],-Z[2],X[1],Y[1],-Z[1],X[0],Y[0],-Z[0],parts[i].color);
    fclose(fi);
    }
  fclose(fo);
  return(0);
  }
