extern DWORD STD_RGB1[2];
extern DWORD STD_RGB4[16];
extern DWORD STD_RGB8[256];

BYTE BlueRGB(DWORD rgb);
BYTE GreenRGB(DWORD rgb);
BYTE RedRGB(DWORD rgb);
BYTE*BMPbits(BITMAPINFOHEADER*bm);

DWORD RGBrgb(BYTE r,BYTE g,BYTE b);
DWORD*BMPpalette(BITMAPINFOHEADER*bm);

int _nint(double d);
int NearestPaletteIndex(DWORD*palette,int colors,DWORD rgb);

int BMPcolors(BITMAPINFOHEADER*bm);
int BMPwidth(int width,int bits_per_pixel);
int BMPwrite(BITMAPINFOHEADER*bm,char*filename);
BITMAPINFOHEADER*BMPread(char*filename);

BITMAPINFOHEADER*BMPcreate(int bits_per_pixel,int width,int height,DWORD*palette,int colors);
BITMAPINFOHEADER*BMPduplicate(BITMAPINFOHEADER*bm);
BITMAPINFOHEADER*BMPresize(BITMAPINFOHEADER*bm,int width,int height);

BITMAPINFOHEADER*BMP1to4(BITMAPINFOHEADER*bm1);
BITMAPINFOHEADER*BMP1to8(BITMAPINFOHEADER*bm1);
BITMAPINFOHEADER*BMP1to24(BITMAPINFOHEADER*bm1);
BITMAPINFOHEADER*BMP1to32(BITMAPINFOHEADER*bm1);
BITMAPINFOHEADER*BMP4to8(BITMAPINFOHEADER*bm4);
BITMAPINFOHEADER*BMP4to24(BITMAPINFOHEADER*bm4);
BITMAPINFOHEADER*BMP4to32(BITMAPINFOHEADER*bm4);
BITMAPINFOHEADER*BMP8to24(BITMAPINFOHEADER*bm8);
BITMAPINFOHEADER*BMP8to32(BITMAPINFOHEADER*bm8);
BITMAPINFOHEADER*BMP24to32(BITMAPINFOHEADER*bm8);
BITMAPINFOHEADER*BMP32to24(BITMAPINFOHEADER*bm32);

BITMAPINFOHEADER*BMPgrayscale4(BITMAPINFOHEADER*bm4);
BITMAPINFOHEADER*BMPgrayscale8(BITMAPINFOHEADER*bm8);
BITMAPINFOHEADER*BMPgrayscale24(BITMAPINFOHEADER*bm24);
BITMAPINFOHEADER*BMPgrayscale32(BITMAPINFOHEADER*bm32);
BITMAPINFOHEADER*BMPgrayscale(BITMAPINFOHEADER*bm);

BITMAPINFOHEADER*BMPdiffuse32(BITMAPINFOHEADER*bm32);
BITMAPINFOHEADER*BMPdiffuse24(BITMAPINFOHEADER*bm24);
BITMAPINFOHEADER*BMPdiffuse8(BITMAPINFOHEADER*bm8);
BITMAPINFOHEADER*BMPdiffuse4(BITMAPINFOHEADER*bm4);

BITMAPINFOHEADER*BMProtate(BITMAPINFOHEADER*bm,double angle,DWORD rgb_fill);

DWORD BMPGetPixel(BITMAPINFOHEADER*bm,int x,int y);

int BMPpixel(BITMAPINFOHEADER*bm,BYTE r,BYTE g,BYTE b,int x,int y);
int BMPpoint(BITMAPINFOHEADER*bm,DWORD rgb,int x,int y);
int BMPline(BITMAPINFOHEADER*bm,DWORD rgb,int x1,int y1,int x2,int y2);
int BMPrect(BITMAPINFOHEADER*bm,DWORD rgb_outline,DWORD rgb_fill,int x,int y,int w,int h);
int BMPcircle(BITMAPINFOHEADER*bm,DWORD rgb_outline,DWORD rgb_fill,int x,int y,int r);
int BMPellipse(BITMAPINFOHEADER*bm,DWORD rgb_outline,DWORD rgb_fill,int x,int y,int rx,int ry);
int BMPpolygon(BITMAPINFOHEADER*bm,DWORD rgb_outline,DWORD rgb_fill,POINT*p,int n);
int BMPpolyline(BITMAPINFOHEADER*bm,DWORD rgb,POINT*p,int n);

double BMPskewangle(BITMAPINFOHEADER*bm);
BITMAPINFOHEADER*BMPdeskew(BITMAPINFOHEADER*bm1);

extern DWORD STD_RGB1[2];                           /* standard 1-bit palette */
extern DWORD STD_RGB4[16];                          /* standard 4-bit palette */
extern DWORD STD_RGB8[256];                         /* standard 8-bit palette */
extern DWORD GRAY_RGB8[256];                       /* 8-bit grayscale palette */
