#define VK_BKSP    VK_BACK
#define VK_PGDN    VK_NEXT
#define VK_PGUP    VK_PRIOR
#define PUSH_ENTER PUSH_RETURN

#define PUSH_ALT_A         0x0F00
#define PUSH_ALT_B         0x0F01
#define PUSH_ALT_BACK      0x0F02
#define PUSH_ALT_C         0x0F03
#define PUSH_ALT_D         0x0F04
#define PUSH_ALT_DOWN      0x0F05
#define PUSH_ALT_E         0x0F06
#define PUSH_ALT_END       0x0F07
#define PUSH_ALT_F         0x0F08
#define PUSH_ALT_F1        0x0F09
#define PUSH_ALT_F10       0x0F0A
#define PUSH_ALT_F2        0x0F0B
#define PUSH_ALT_F3        0x0F0C
#define PUSH_ALT_F4        0x0F0D
#define PUSH_ALT_F5        0x0F0E
#define PUSH_ALT_F6        0x0F0F
#define PUSH_ALT_F7        0x0F10
#define PUSH_ALT_F8        0x0F11
#define PUSH_ALT_F9        0x0F12
#define PUSH_ALT_G         0x0F13
#define PUSH_ALT_H         0x0F14
#define PUSH_ALT_HOME      0x0F15
#define PUSH_ALT_I         0x0F16
#define PUSH_ALT_J         0x0F17
#define PUSH_ALT_K         0x0F18
#define PUSH_ALT_L         0x0F19
#define PUSH_ALT_LEFT      0x0F1A
#define PUSH_ALT_M         0x0F1B
#define PUSH_ALT_N         0x0F1C
#define PUSH_ALT_O         0x0F1D
#define PUSH_ALT_P         0x0F1E
#define PUSH_ALT_PGDN      0x0F1F
#define PUSH_ALT_PGUP      0x0F20
#define PUSH_ALT_Q         0x0F21
#define PUSH_ALT_R         0x0F22
#define PUSH_ALT_RIGHT     0x0F23
#define PUSH_ALT_S         0x0F24
#define PUSH_ALT_SPACE     0x0F25
#define PUSH_ALT_T         0x0F26
#define PUSH_ALT_U         0x0F27
#define PUSH_ALT_UP        0x0F28
#define PUSH_ALT_V         0x0F29
#define PUSH_ALT_W         0x0F2A
#define PUSH_ALT_X         0x0F2B
#define PUSH_ALT_Y         0x0F2C
#define PUSH_ALT_Z         0x0F2D
#define PUSH_BACK          0x0F2E
#define PUSH_CTL_A         0x0F2F
#define PUSH_CTL_ALT_A     0x0F30
#define PUSH_CTL_ALT_E     0x0F31
#define PUSH_CTL_ALT_F     0x0F32
#define PUSH_CTL_ALT_I     0x0F33
#define PUSH_CTL_ALT_L     0x0F34
#define PUSH_CTL_ALT_N     0x0F35
#define PUSH_CTL_ALT_P     0x0F36
#define PUSH_CTL_ALT_SPACE 0x0F37
#define PUSH_CTL_B         0x0F38
#define PUSH_CTL_C         0x0F39
#define PUSH_CTL_D         0x0F3A
#define PUSH_CTL_DOWN      0x0F3B
#define PUSH_CTL_E         0x0F3C
#define PUSH_CTL_END       0x0F3D
#define PUSH_CTL_F         0x0F3E
#define PUSH_CTL_F1        0x0F3F
#define PUSH_CTL_F10       0x0F40
#define PUSH_CTL_F2        0x0F41
#define PUSH_CTL_F3        0x0F42
#define PUSH_CTL_F4        0x0F43
#define PUSH_CTL_F5        0x0F44
#define PUSH_CTL_F6        0x0F45
#define PUSH_CTL_F7        0x0F46
#define PUSH_CTL_F8        0x0F47
#define PUSH_CTL_F9        0x0F48
#define PUSH_CTL_G         0x0F49
#define PUSH_CTL_H         0x0F4A
#define PUSH_CTL_HOME      0x0F4B
#define PUSH_CTL_I         0x0F4C
#define PUSH_CTL_J         0x0F4D
#define PUSH_CTL_K         0x0F4E
#define PUSH_CTL_L         0x0F4F
#define PUSH_CTL_LEFT      0x0F50
#define PUSH_CTL_M         0x0F51
#define PUSH_CTL_N         0x0F52
#define PUSH_CTL_O         0x0F53
#define PUSH_CTL_P         0x0F54
#define PUSH_CTL_PGDN      0x0F55
#define PUSH_CTL_PGUP      0x0F56
#define PUSH_CTL_Q         0x0F57
#define PUSH_CTL_R         0x0F58
#define PUSH_CTL_RIGHT     0x0F59
#define PUSH_CTL_S         0x0F5A
#define PUSH_CTL_SPACE     0x0F5B
#define PUSH_CTL_T         0x0F5C
#define PUSH_CTL_TAB       0x0F5D
#define PUSH_CTL_U         0x0F5E
#define PUSH_CTL_UP        0x0F5F
#define PUSH_CTL_V         0x0F60
#define PUSH_CTL_W         0x0F61
#define PUSH_CTL_X         0x0F62
#define PUSH_CTL_Y         0x0F63
#define PUSH_CTL_Z         0x0F64
#define PUSH_DELETE        0x0F65
#define PUSH_DOWN          0x0F66
#define PUSH_END           0x0F67
#define PUSH_ESCAPE        0x0F68
#define PUSH_F1            0x0F69
#define PUSH_F10           0x0F6A
#define PUSH_F2            0x0F6B
#define PUSH_F3            0x0F6C
#define PUSH_F4            0x0F6D
#define PUSH_F5            0x0F6E
#define PUSH_F6            0x0F6F
#define PUSH_F7            0x0F70
#define PUSH_F8            0x0F71
#define PUSH_F9            0x0F72
#define PUSH_HOME          0x0F73
#define PUSH_INSERT        0x0F74
#define PUSH_LEFT          0x0F75
#define PUSH_PGDN          0x0F76
#define PUSH_PGUP          0x0F77
#define PUSH_RIGHT         0x0F78
#define PUSH_SHIFT_CTL_R   0x0F79
#define PUSH_SHIFT_DOWN    0x0F7A
#define PUSH_SHIFT_END     0x0F7B
#define PUSH_SHIFT_ESCAPE  0x0F7C
#define PUSH_SHIFT_HOME    0x0F7D
#define PUSH_SHIFT_LEFT    0x0F7E
#define PUSH_SHIFT_PGDN    0x0F7F
#define PUSH_SHIFT_PGUP    0x0F80
#define PUSH_SHIFT_RIGHT   0x0F81
#define PUSH_SHIFT_SPACE   0x0F82
#define PUSH_SHIFT_UP      0x0F83
#define PUSH_UP            0x0F84
