typedef struct{float u,v,x,y,z;}NODE;
typedef struct{int i,j,k,m;DWORD color;}ELEM;
typedef struct{char name[128];DWORD texture;}MATL;
typedef struct{int elems,matls,max_elems,max_matls,max_nodes,
  nodes,colors,textures;ELEM*elem;MATL*matl;NODE*node;
  BITMAPINFOHEADER**bitmaps;}MODEL;

char*Color2Text(DWORD color);
char*stristr(char*str1,char*str2);
int MaterialIndex(MODEL*,char*material_name);
int nint(float d);
void Abort(int code,char*format,...);
void Abort(int,char*,...);
void FreeModel(MODEL*);
void MoreElems(MODEL*,int Ne);
void MoreMatls(MODEL*);
void MoreNodes(MODEL*,int Nn);
void*allocate(int line,size_t count,size_t size);
void*reallocate(int line,void*old_ptr,size_t old_count,size_t new_count,size_t size);
void*_free(void*ptr);
BOOL match(char*txt1,char*txt2);
BYTE Lightness(DWORD rgb);
DWORD Text2Color(char*txt);
